/*****************************************************************
 * FILE: driver.h
 *****************************************************************
 * Copyright 2005 by Dean Starrett, Travis Wheeler
 * University of Arizona
 * Department of Computer Science
 * Tucson, AZ  85721
 *****************************************************************
 * Terms of use:
 * This software may be used for non-commercial purposes.
 * Other use, redistribution, or modification may be done only 
 * with the author's prior approval. (contact twheeler@cs.arizona.edu)
 *
 * Released: 17 May 2007
 * Version:  1.0.0
 * 
 ****************************************************************/

#include <stdio.h> /* fprintf */

void Usage(char *progname); /* emit usage message */

/*int ReadSequences(char *seq_file, char ***s, int *seqLength, char ***names, 
				int **numGaps, int ***gapStarts, int ***gapLengths);*/
int ReadSequences(char *seq_file, char ***s, int *seqLength, char ***names);				
				
int  ReadCost(char *cost_file, int ***cost, char **alphabet, int **alphaconv);
int ReadWeights(char *weight_file, int K, int ***weights);
//void ReadWeights(int weight[AA_MAXSEQNUM][AA_MAXSEQNUM], char *weight_file);
void printAlignment_fasta(int K, char **alignment, int alignlen, FILE * out, 
			int outputwidth, char **names);
void printAlignment_clustal(int K, int L, char **alignment, int alignlen, FILE *my_out, 
				int outputwidth, char **namesA, char **namesB, unsigned char *script);				
void printhelp(char *progname, int verbose);

void justScore(int K, int M, char **A);
void convert_fasta2clustal(int K, int M, char **A, char **namesA, FILE *out, int outputwidth);
enum format {CLUSTAL_FORMAT, FASTA_FORMAT};
