/*****************************************************************
 * FILE: shape.h
 *****************************************************************
 * Copyright 2005 by Dean Starrett, Travis Wheeler
 * University of Arizona
 * Department of Computer Science
 * Tucson, AZ  85721
 *****************************************************************
 * Terms of use:
 * This software may be used for non-commercial purposes.
 * Other use, redistribution, or modification may be done only 
 * with the author's prior approval. (contact twheeler@cs.arizona.edu)
 *
 * Released: 17 May 2007
 * Version:  1.0.0
 * 
 ****************************************************************/

#ifndef SHAPE_H_
#define SHAPE_H_

#include "aa_globals.h"
#include "mem.h"

void   init_nodepool (void);
void   nodepoolfree(int threshold);
Shape *nodemalloc(void);
void   nodefree(Shape *s); /* put s on front of shapepool list */
void   newshape(char **A, char **B, int a, int b, 
		aa_ushort *s, aa_ushort *shape);
int    equalshapes(aa_ushort *s1, aa_ushort *s2);
int    compshapes(aa_ushort *s1, aa_ushort *s2);
void   printshape(aa_ushort s[AA_MAXSEQNUM]);
void   reclaim(Shape *s);	
void insert(Shape *list, aa_ushort *s, int c, Shape *propagating);
void insert_space(Shape *list, aa_ushort *s, int c);

#endif /*SHAPE_H_*/
